| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Properties | Static Private Member Functions | Private Attributes

# IG::Lib::SettingsReaderBase Class Reference

Inheritance diagram for IG::Lib::SettingsReaderBase:
[legend]
Collaboration diagram for IG::Lib::SettingsReaderBase:
[legend]

List of all members.

## Public Member Functions
abstract string | GetSetting (string settingname)
| Retrieves the specified setting from the current settings source.
virtual bool | GetBooleanSetting (string settingname)
| Retrieves the specified boolean setting from the current settings source.
virtual long | GetIntegerSetting (string settingname)
| Retrieves the specified integer setting from the current settings source. If the specific setting is not specified in the configuration then 0 is returned.
virtual long | GetIntegerSetting (string settingname, long defaultvalue)
| Retrieves the specified integer setting from the current settings source.
## Protected Attributes
bool | _expandEnv = true
## Properties
object | Lock`[get]`
| ILockable.Lock, gets a public lock for the current object.
virtual bool | ExpandEnvironmentVariables`[get, set]`
## Static Private Member Functions
static ISettingsRreader | FromAppConfig ()
## Private Attributes
object | lockobj = new object()

## Member Function Documentation

abstract string IG::Lib::SettingsReaderBase::GetSetting | ( | string | settingname | ) | `[pure virtual]`

Retrieves the specified setting from the current settings source.

Parameters:

  settingname | Setting name.

Implemented in IG::Lib::SettingsReaderAppConfig.

virtual bool IG::Lib::SettingsReaderBase::GetBooleanSetting | ( | string | settingname | ) | `[inline, virtual]`

Retrieves the specified boolean setting from the current settings source.

Parameters:

  settingname | Setting name.

virtual long IG::Lib::SettingsReaderBase::GetIntegerSetting | ( | string | settingname | ) | `[inline, virtual]`

Retrieves the specified integer setting from the current settings source. If the specific setting is not specified in the configuration then 0 is returned.

Parameters:

  settingname | Setting name.

virtual long IG::Lib::SettingsReaderBase::GetIntegerSetting | ( | string | settingname,
|  | long | defaultvalue
| ) |  | `[inline, virtual]`

Retrieves the specified integer setting from the current settings source.

Parameters:

  settingname | Setting name.
  defaultvalue | Value returned in the case that the correspondig setting is not defined.

static ISettingsRreader IG::Lib::SettingsReaderBase::FromAppConfig | ( |  | ) | `[inline, static, private]`

## Member Data Documentation

object IG::Lib::SettingsReaderBase::lockobj = new object()`[private]`

bool IG::Lib::SettingsReaderBase::_expandEnv = true`[protected]`

## Property Documentation

object IG::Lib::SettingsReaderBase::Lock`[get]`

ILockable.Lock, gets a public lock for the current object.

Implements IG::Lib::ILockable.

virtual bool IG::Lib::SettingsReaderBase::ExpandEnvironmentVariables`[get, set]`

The documentation for this class was generated from the following file:

- SettingsRreader.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events